Get endpoint by ID
curl --request GET \
--url https://inboundr.net/api/v1/endpoints/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/endpoints/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ep_123",
"name": "Production handler",
"url": "https://api.example.com/hooks/inbound",
"headers": { "X-Team": "growth" },
"timeoutSeconds": 10,
"maxAttempts": 5,
"active": true,
"createdAt": "2026-07-20T10:00:00.000Z"
}
Endpoints
Get endpoint by ID
Fetch one endpoint (secret redacted).
GET
/
api
/
v1
/
endpoints
/
{id}
Get endpoint by ID
Returns a single endpoint. The signing secret is never
returned after creation.
string
required
The endpoint id (
ep_…).{
"id": "ep_123",
"name": "Production handler",
"url": "https://api.example.com/hooks/inbound",
"headers": { "X-Team": "growth" },
"timeoutSeconds": 10,
"maxAttempts": 5,
"active": true,
"createdAt": "2026-07-20T10:00:00.000Z"
}
Returns
404 if the endpoint doesn’t exist or isn’t yours.⌘I